/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package planosactuacao;

import db.entidades.Area;
import db.entidades.Medida;
import db.entidades.PlanoActuacao;
import db.entidades.PostoTrabalho;
import db.entidades.Risco;
import db.entidades.Valor;
import java.util.List;

/**
 *
 * @author lluis
 */
public class Test {
    private PlanoActuacao p;
    
    public static void showPlanoTree(PlanoActuacao p)
    {
        System.out.println("=====================================================");
        System.out.println("                            PLANO : " + p.getData_visita_str());
        showAreas(p.getAreas());
        System.out.println("=====================================================");        
    }
    
    private static void showAreas(List<Area> areas)
    {
        for(Area a : areas)
        {
            System.out.println("\t" + a.getDescricao());
            showRiscos(a.getRiscos());
        }
    }
    
    private static void showRiscos(List<Risco> riscos)
    {
        for(Risco r : riscos)
        {
            System.out.println("\t\t" + r.getDescricao());
            showValores(r.getValores());
        }        
    }
    
    private static void showValores(List<Valor> valores)
    {
        for(Valor v : valores)
        {
            System.out.println("\t\t\t" + v.getValor());
            showMedidas(v.getMedidas());
        }                
    }
    
    private static void showMedidas(List<Medida> medidas)
    {
        for(Medida m : medidas)
        {
            System.out.println("\t\t\t" + m.getDescricao());
            showPostos(m.getPostos());
        }                
    }    
    
    private static void showPostos(List<PostoTrabalho> postos)
    {
        for(PostoTrabalho p : postos)
        {
            System.out.println("\t\t\t\t" + p.getDescricao());
        }                
    }        
}
